Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-25014

Coadds converted to Gen 3 without abstract_filter

    XMLWordPrintable

    Details

    • Story Points:
      3
    • Epic Link:
    • Team:
      Data Release Production
    • Urgent?:
      No

      Description

      I have a Gen 3 repository that I created from https://github.com/lsst/ap_verify_ci_hits2015/tree/master/templates by running

      convert_gen2_repo_to_gen3.py lsst.obs.decam.DarkEnergyCamera --gen2root ${AP_VERIFY_CI_HITS2015_DIR}/templates/ --gen3root `pwd`/hits2015_gen3/ --config ${AP_VERIFY_CI_HITS2015_DIR}/config/convertRepo_templates.py
      

      using the w_2020_20 stack. Trying to run image differencing using w_2020_20 and these coadds gives

      ValueError: Supplied dataset type (DatasetType(deepCoadd, {abstract_filter, skymap, tract, patch}, ExposureF)) inconsistent with registry definition (DatasetType(deepCoadd, {skymap, tract, patch}, ExposureF))
      

      Since coadds should be parametrized by some kind of filter, this is presumably an error in the conversion.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              jbosch Jim Bosch
              Reporter:
              krzys Krzysztof Findeisen
              Reviewers:
              Krzysztof Findeisen
              Watchers:
              Jim Bosch, Krzysztof Findeisen, Tim Jenness
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  CI Builds

                  No builds found.